#!/bin/bash
#SBATCH --partition=batch
#SBATCH --account=elph
#SBATCH --nodes=1
#SBATCH --ntasks-per-node=128
#SBATCH --time=2:00:00
#SBATCH --job-name=InSe
#SBATCH --output=error.%x

# Quantum ESPRESSO executable
QE=$HOME/program/qe-epw/bin
W90=$HOME/program/wannier90/wannier90.x

srun -n $SLURM_NTASKS $QE/pw.x -nk 16 -ndiag 1 -in scf.in > scf.out
srun -n $SLURM_NTASKS $QE/pw.x -nk 16 -ndiag 1 -in bands.in > bands.out
my_qe_bands.py InSe temp

srun -n $SLURM_NTASKS $QE/pw.x -nk 16 -ndiag 1 -in nscf.in > nscf.out
srun -n 1 $W90 -pp InSe
srun -n $SLURM_NTASKS $QE/pw2wannier90.x -nk 16 -ndiag 1 -in pw2wan.in > pw2wan.out
srun -n $SLURM_NTASKS $W90 InSe

