#!/bin/bash
#SBATCH --job-name=inse-abinit
#SBATCH --output=output.out
#SBATCH --error=error.err
#SBATCH --qos=gp_ehpc
#SBATCH --account=ehpc14
#SBATCH --time=01-23:00:00
#SBATCH --nodes        1
#SBATCH --ntasks 64
#SBATCH --cpus-per-task   1   
#SBATCH --exclusive
###SBATCH --tasks-per-node=28 
##SBATCH --mem-per-cpu=8000
###SBATCH --tasks-per-node=112 
##SBATCH --exclude=cn1108

module purge
module load gcc/13.2.0
module load openmpi/4.1.5-gcc
module load openblas/0.3.27-gcc
module load libxc/6.2.0-gcc
module load hdf5/1.14.1-2-gcc-openmpi
module load pnetcdf/1.12.3-gcc-openmpi
module load netcdf/c-4.9.2_fortran-4.6.1_cxx4-4.3.1_hdf5-1.14.1-2_pnetcdf-1.12.3-gcc-openmpi

export OMP_NUM_THREADS=1

module list
pwd
date

export PATH=/home/uclo/uclo048918/program/abinit-10.0.7.1/build/src/98_main:$PATH

# Commands before execution
ulimit -s unlimited

mpirun  -n $SLURM_NTASKS abinit tquad1.in  > log1 2> err1




