#!/bin/bash
#SBATCH --partition=batch
#SBATCH --account=elph
#SBATCH --nodes=2
#SBATCH --ntasks-per-node=128
#SBATCH --exclusive
#SBATCH --time=24:00:00
#SBATCH --job-name=InSe
#SBATCH --output=error.%x
# for OpenMP jobs
export OMP_NUM_THREADS=1

# Quantum ESPRESSO executable
QE=$HOME/program/qe-epw/bin

module --force purge
module load EasyBuild/2023a
module load GCC/12.3.0 FFTW/3.3.10-GCC-12.3.0 OpenMPI/4.1.5-GCC-12.3.0 OpenBLAS/0.3.23-GCC-12.3.0

srun -n $SLURM_NTASKS $QE/pw.x -nk 32 -in scf.in > scf.out
srun -n $SLURM_NTASKS $QE/pw.x -nk 128 -in nscf.in > nscf.out

srun -n 256 $QE/epw.x -nk 256 -in epw.setup.in > epw.setup.out

srun -n 1 $QE/epw.x -nk 1 -in epw.in > epw.out
