#!/bin/bash
#SBATCH --partition=batch
#SBATCH --account=elph
#SBATCH --nodes=10
#SBATCH --ntasks-per-node=128
#SBATCH --time=48:00:00
#SBATCH --job-name=InSe.3
#SBATCH --output=error.%x
# for OpenMP jobs
export OMP_NUM_THREADS=1

# Quantum ESPRESSO executable
QE=$HOME/program/qe-epw/bin

module --force purge
module load EasyBuild/2023a
module load GCC/12.3.0 FFTW/3.3.10-GCC-12.3.0 OpenMPI/4.1.5-GCC-12.3.0 OpenBLAS/0.3.23-GCC-12.3.0

mkdir -p dyn_dir
srun -n $SLURM_NTASKS $QE/pw.x -nk 16 -in scf.in > scf.out
srun -n $SLURM_NTASKS $QE/ph.x -ni 10 -nk 16 -in ph.in > ph.out
