wide_window = true
wide_window = false
include("load_InSe.jl")

# wfpt : If true, include rest-space self-energy. If false, do not.

for nk in [30, 60, 120, 180], wfpt in [true]
    if wide_window
        calc_list = [(1, "smearing_5meV")]
    else
        calc_list = [(7, "smearing_5meV"), (7, "smearing_sc"), (1, "smearing_5meV"), (6, "smearing_5meV")]
    end

    for (ind_doping, η_tag) in calc_list

        occ = setup_occupation_params(n_doping_list[ind_doping])

        if η_tag === "smearing_T"
            # η = T (as in A. V. Lugovskoi et al., PRL 123, 176401 (2019))
            η_list = occ.Tlist
        elseif η_tag === "smearing_sc"
            # η from the self-consistent
            η_list = [12.90018695603513, 22.163953319736414, 32.91736597797363, 49.50341633771752, 61.432239809775965, 72.68868345271916, 116.23905439817864] .* unit_to_aru(:meV)
        elseif η_tag === "smearing_5meV"
            η_list = fill(5.0, length(occ.Tlist)) .* unit_to_aru(:meV)
        else
            error("Wrong η_tag")
        end

        run_Dyson(nk, wfpt, ind_doping; η_tag, η_list, nk_tuple = (nk, nk, 1))

    end
end;
