wide_window = false
include("load_InSe.jl")


begin
    mob_SI_bubble_dict = Dict()
    jdos_dict = Dict()
    ac_mob_SI_bubble_dict = Dict()
    ac_jdos_dict = Dict()

    if isfile("$folder_output/data_bubble.jld")
        mob_SI_bubble_dict, jdos_dict, ac_mob_SI_bubble_dict, ac_jdos_dict = load("$folder_output/data_bubble.jld", "mob_SI_bubble_dict", "jdos_dict", "ac_mob_SI_bubble_dict", "ac_jdos_dict")
    end

    Ωs = vcat(range(0., 5., step=0.1), range(5., 300., step=2.0)[2:end]) .* unit_to_aru(:meV)
    Tlist = setup_occupation_params(0.).Tlist

    prefix_list = ["data_Dyson.smearing_5meV", "data_scFM", "data_Dyson.smearing_sc", "data_Dyson.smearing_T"]

    for nk in [30, 60, 120, 180], wfpt in [true], ind_doping in 2:7, prefix in prefix_list

        key = (nk, wfpt, ind_doping, prefix)
        haskey(mob_SI_bubble_dict, key) && continue

        filename = "$folder_output/$prefix.doping$ind_doping.wfpt$wfpt.nk$nk.jld2"
        isfile(filename) || continue

        @info key

        truncate_spectral = occursin("Dyson", prefix)
        @time res = run_bubble(nk, wfpt, ind_doping, prefix; truncate_spectral, phonon_assisted = false)

        if res !== nothing
            mob_SI_bubble_dict[key] = res.mobility[1, 1, :]
            jdos_dict[key] = res.jdos
        end

        @time res_ac = run_bubble_AC(nk, wfpt, ind_doping, prefix, Ωs; truncate_spectral, phonon_assisted = false)
        if res_ac !== nothing
            ac_mob_SI_bubble_dict[key] = res_ac.mobility[1, 1, :, :]
            ac_jdos_dict[key] = res_ac.jdos
        end

        jldsave("$folder_output/data_bubble.jld"; mob_SI_bubble_dict, jdos_dict, ac_mob_SI_bubble_dict, ac_jdos_dict, Tlist, Ωs)

        flush(stdout)
        flush(stderr)
    end
end;
