wide_window = true
include("load_InSe.jl")

begin
    # Cumulant on grid for undoped system (for DOS plot)
    wfpt = true
    ind_doping = 1
    η_tag = "smearing_5meV"

    for nk in [30, 60, 120, 180]

        postfix = "doping$ind_doping.wfpt$wfpt.nk$nk"

        filename = "$folder_output/data_Dyson.$η_tag.$postfix.jld2"
        occ, kpts, ωs_dense, Σs_rest = load(filename, "occ", "kpts", "ωs_dense", "Σs_rest");

        filename_BTStates = "$folder_output/data_scKubo_BTStates_nk$nk.jld2"
        el_i = load("$folder_output/data_scKubo_BTStates_nk$nk.jld2", "el_i")

        # Load self-energy
        Σs, ωs = load(filename, "Σs", "ωs")
        Σs = scKubo_trim_Σs_to_BTStates(Σs, el_i, kpts);
        Σs_rest = scKubo_trim_Σs_rest_to_BTStates(Σs_rest, el_i, kpts);

        @time As_cum = run_cumulant_spectral(ωs, Σs, Σs_rest, el_i, occ, e_Fermi, ωs_dense);

        jldsave("$folder_output/data_cumulant.$η_tag.$postfix.jld2"; As_cum, occ, ωs_dense);
    end
end;
