using ElectronPhonon
using EPSpectral
using PyPlot
using LinearAlgebra
using Interpolations
using JLD2
using DelimitedFiles
using ImageFiltering
using Printf

fontsize = 8.0
rcParams = PyPlot.PyDict(PyPlot.matplotlib."rcParams");
rcParams["font.size"] = fontsize
rcParams["axes.labelsize"] = fontsize
rcParams["axes.titlesize"] = fontsize
rcParams["legend.fontsize"] = fontsize
rcParams["xtick.top"] = true
rcParams["ytick.right"] = true
rcParams["xtick.major.width"] = 0.4
rcParams["ytick.major.width"] = 0.4
rcParams["xtick.major.size"] = 3.0
rcParams["ytick.major.size"] = 3.0
rcParams["axes.linewidth"] = 0.5
rcParams["xtick.direction"] = "in"
rcParams["ytick.direction"] = "in"
rcParams["mathtext.fontset"] = "dejavusans"
# rcParams["mathtext.fontset"] = "cm"

function do_savefig(fig, filename; transparent = true)
    println("$filename.pdf")
    println("$filename.png")
    fig.savefig("$filename.pdf"; dpi = 300)
    fig.savefig("$filename.png"; dpi = 300, transparent)
end

c_SERTA = "darkred"
c_BTE = "mediumblue"
c_FM = "#1b9e77"
c_scFM = "#d95f02"
c_Cum = "#7570b3"


folder = "../2_epw/"
outdir = "./temp"
prefix = "InSe"
model = ElectronPhonon.load_model_from_epw_new(folder, outdir, prefix; load_epmat = false);

e_VBM = -5.940 * unit_to_aru(:eV)
ω_LO = 26.7 * unit_to_aru(:meV)
_e_to_eV(e) = (e - e_VBM) / unit_to_aru(:eV)

# @info 0.02892 / (model.volume / model.lattice[3, 3] / unit_to_aru(:cm)^2)
n_doping_list = [0.0, 0.00723, 0.01446, 0.02892, 0.001446, 0.00001446, 0.000001446];
# 0, 5e12 cm⁻², 1e13 cm⁻², 2e13 cm⁻², 1e12 cm⁻², 1e10 cm⁻², 1e9 cm⁻²
