using EPSpectral
using LinearAlgebra
using StaticArrays
using Interpolations

begin
    α = 1.0
    m = 0.5
    ω₀ = 1.0
    η = 0.2
    model = FrohlichModel(α, ω₀, m)

    qmax = 5.0
    qmax = 10.0
    nq = 50
    order = 4
    qpts = polynomial_grid_3d(qmax, nq, order)

    ωs = range(-2., 10., length=101)
    k = SVector(2.0, 0., 0.)

    @time Σs_anal = get_Σ_analytic.(Ref(k), ωs .+ im * η, model)
    @time Σs_mesh = get_Σ_mesh.(Ref(k), ωs .+ im * η, Ref(qpts), model)
end


begin
    ωs = range(-2., 10., length=101)

    @time Σs_anal = get_Σ_analytic.(Ref(k), ωs .+ im * η, model)
end


begin
    @info k
    Σs_imag = zeros(length(ωs))
    iq = 1
    q, weight = qpts[iq]
    εkq = get_εk(k + q, model)
end
