includet("/home/ucl/modl/jmlihm/eph_self_consistent/dev/boltzmann.jl")

# Run BTE calculation

function run_BTE(nk, ind_doping;
        η = 5.0 * unit_to_aru(:meV),
        nk_tuple = (nk, nk, nk),
    )
    n_doping = n_doping_list[ind_doping]
    occ = setup_occupation_params(n_doping)  

    calc = BoltzmannCalculatorX2X(;
        occ,
        smearing = (:Gaussian, η),
        # energy_conservation,
        scattering_method = :SERTA,
        occupation_method = :Method1,
    )

    output = ElectronPhonon.run_eph_over_k_and_kq(
        model, nk_tuple, nk_tuple, [calc];
        window_k = window_active,
        window_kq = window_active,
        # energy_conservation,
        use_symmetry = true,
        nchunks_threads = 32,
        progress_print_step = 100,
    );

    # Compute conductivity
    res = ElectronPhonon.solve_electron_bte(calc.el_i, calc.el_f, calc.Sᵢ, stack(calc.Sₒ), occ, model.symmetry)

    σ_serta_SI, mobility_serta_SI = transport_print_mobility(res.σ_serta, occ);
    σ_bte_SI, mobility_bte_SI = transport_print_mobility(res.σ, occ);

    γs = calc.Sₒ
    es = calc.el_i.e

    return (; σ_bte_SI, σ_serta_SI, mobility_bte_SI, mobility_serta_SI, γs, es, occ)
end;
